<bugID>1355523<Summary>convert uses of "defer" to "new Promise" in client/styleeditor</Summary><Description>User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36</Description></bugID>